Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Sat, 18 Apr 2020 16:10:19 +0100

On Sat, Apr 18, 2020 at 1:35 PM Eli Zaretskii <[email-masked]> wrote:

> > > > > why not add it to auto-mod-alist?
> > > > Anyway, I can surely switch to auto-mode-alist if you
> > > > insist, no problem. Do you insist in this?
> > > Do I have to insist?
> > Any problem with doing so? I'll interpret that as a "Yes".
> It's actually the other way around: if I don't feel my opinion is
> strong enough, I usually say so.

This is what actually-actually what happened: you asked "why
not add it to auto-mod-alist? " I answered and asked if you
insisted, because a question doesn't really sound imperative
to me. If it was an instrument of rhetoric, it wasn't very effective.

> > Anyway, I went and looked at the three files you mention, and
> > I discovered they're not "fixed" as I thought. They're defcustom
> > and defined way after auto-mode-alist, so we'd have to add-to-list,
>
> No need for such complexity.  I meant to mention the standard names in
> auto-mode-alist, under the assumption that many/most users don't
> change the default names.

OK.

João